#ifndef mcom_H_included
#define mcom_H_included 0

#ifdef HAVE_CONFIG_H
#include "config.h"
#endif

char *xstrdup(const char *);
char *xstrndup(const char *, size_t);
void *xcalloc(size_t, size_t);
size_t strnlen(const char *, size_t);

#ifndef strlcpy
#define USE_OWN_STRLCPY 1
size_t strlcpy(char *, const char *, size_t);
#endif

#ifndef HAVE_ERRC
/* RH 8.0 <err.h> has [v]err[x], but hasn't [v]errc */
#include <errno.h>
void errc(int, int, const char *,...);
#endif

#undef  mcom_H_included
#define mcom_H_included 1
#endif
