#!/bin/sh

case "$1" in
start)
	/usr/local/libexec/verify_sender -p inet:3330@127.0.0.1 -m /etc/mail/verify_sender
	;;
stop)
	killall verify_sender
	;;
restart)
	$0 stop
	sleep 4
	$0 start
	;;
*)
	echo "Usage: `basename $0` {start|stop|restart}"
	;;
esac

exit 0
